Page tree
Skip to end of metadata
Go to start of metadata

Bonjour,

Dans le respect des standards des normes de sécurité PCI – DSS, Payline met régulièrement à jour l’ensemble de ressources tierces utilisées par ses applicatifs.
Pour information, une montée de version des librairies JavaScript a été faite sur les plateformes de production et d’homologation.

Migration de la librairie jQuery

Une montée de version des librairies JavaScript va être réalisée par Payline. Cette migration va modifier (voire supprimer) certaines fonctionnalités. Nous vous invitons à lire attentivement la communication suivante.
La mise à jour concerne la librairie jQuery (jquery-1.11.2 vers jquery-3.4.1.min.js).

Cette librairie est actuellement utilisée pour le fonctionnement interne du Widget et des pages web de paiement v2 (PWP v2).
Historiquement, cette librairie incluse dans Payline était accessible via la commande Payline.Jquery(…) et certaines personnalisations de pages de paiement l’utilisent encore.

Nous vous invitons à respecter la pratique et à ne pas utiliser la librairie incluse dans Payline. Vous devez impérativement importer votre propre version afin d’éviter toute adhérence entre vos développements et Payline.

Comment procéder ?

Pour mettre à jour votre librairie, vous devez vous rapprocher de votre interlocuteur technique (agence web, intégrateur, webmaster…) qui saura faire les opérations nécessaires le cas échéant.

Le calendrier de Payline

Jusqu’à fin Juin 2020, une phase de transition va consister à tester la nouvelle version de la librairie dans la version de Payline 4.61 tout en conservant une rétrocompatibilité afin de vous laisser la possibilité de tester et réaliser les développements nécessaires, en homologation et en production.

Compte tenu du contexte actuel, la suppression de la rétrocompatibilité des librairies Jquery sera effective dans la version 4.63 de Payline :
- En homologation, la suppression aura lieu le 22/06/2020
- En production, elle est prévue pour le 08/07/2020

En Juillet 2020, seule la jquery-3.4.1.min.js sera conservée et la rétrocompatibilité sera supprimée.

Restez informé !

Payline diffuse régulièrement des informations concernant sa plateforme via status.payline.com.
N’hésitez pas à vous y inscrire afin de recevoir directement dans votre boite mail les dernières actualités.

L'équipe Support Payline